Older DevKitPro

Discussion in 'Wii - Emulation and Homebrew' started by D-Jay, Feb 5, 2009.

Feb 5, 2009

Older DevKitPro by D-Jay at 2:22 PM (964 Views / 0 Likes) 3 replies

  1. D-Jay
    OP

    Member D-Jay GBAtemp Fan

    Joined:
    Jan 23, 2009
    Messages:
    477
    Location:
    Germany
    Country:
    Germany
    Does anybody have an older version of devkitpro for compile the backuplauncher 03gamma?

    I don't know which one works with it, cause the new one has updated libs so makefile doesn't work anymore for that.
     
  2. Jacobeian

    Member Jacobeian GBAtemp Advanced Maniac

    Joined:
    May 15, 2008
    Messages:
    1,879
    Country:
    Cuba
    all packages are here

    but you better have to make the sourcecode and the Makefile compatible, it should not be so difficult and more over, the last devkitpro has LOT of improvments
     
  3. D-Jay
    OP

    Member D-Jay GBAtemp Fan

    Joined:
    Jan 23, 2009
    Messages:
    477
    Location:
    Germany
    Country:
    Germany
    Yes. You're right, but I just want to change something in the sourcecode, and don't want to rewrite it completely...
    It works with some older version of DevKit. But I don't no which revision and lib.
     
  4. Jacobeian

    Member Jacobeian GBAtemp Advanced Maniac

    Joined:
    May 15, 2008
    Messages:
    1,879
    Country:
    Cuba
    well, considering the backup laucnher is nothing more than a modified GekoOS and considering the release dates, I would say r15 is the one you need

    but really, I can't see what makes r16 incompatible except maybe some libfat stuff... you don't need to rewrite it completely, just remove unused stuff about sdio_ and fat (those were only useful for ocarina, nothing the launcher need)
     

Share This Page